低危 gnu binutils 对未经初始化资源的使用

CVE编号

CVE-2020-35494

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-01-05
漏洞描述
GNU Binutils是一组用于创建和管理二进制程序、对象文件、库、配置文件数据及程序集源代码的编程工具。

GNU Binutils 2.34之前版本中的opcodes/tic4x-dis.c中的tic4x_print_cond存在未初始化内存使用漏洞。攻击者可通过特制输入文件利用该漏洞影响应用程序可用性和数据机密性。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=2c5b6e1a1c406cbe06e2d6f77861764ebd01b9ce
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu binutils * Up to
(excluding)
2.34
运行在以下环境
系统 debian_10 binutils * Up to
(excluding)
2.31.1-16
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
运行在以下环境
系统 fedora_32 binutils * Up to
(excluding)
2.32-9.fc32
运行在以下环境
系统 redhat enterprise_linux 8.0 -
运行在以下环境
系统 unionos_20 binutils * Up to
(excluding)
2.31.1.3-1+eagle
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-908 对未经初始化资源的使用
阿里云安全产品覆盖情况